package com.unis.base.server.service;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.github.pagehelper.PageInfo;
import com.unis.base.common.vo.CcsbtzjsmxVO;
import com.unis.base.common.vo.CcsstzjsmxVO;
import com.unis.base.server.entity.CcsbtzjsmxDO;
import com.unis.base.server.entity.CcsstzjsmxDO;
import com.unis.common.utils.ResponseWrapper;

import java.util.List;
import java.util.Map;

/**
 * @Classname CcsstzjsmxService
 * @Description 仓储设施投资建设明细
 * @Date 2024/1/2 10:50
 * @Created by rising123sun
 */
public interface CcsstzjsmxService {

    ResponseWrapper add(CcsstzjsmxDO ccsstzjsmxDO);

    CcsstzjsmxDO queryLastYearData(String sbnf, String orgCode);

    ResponseWrapper update(CcsstzjsmxDO ccsstzjsmxDO);

    PageInfo<CcsstzjsmxVO> queryPageList(Integer pageSize, Integer pageNum, CcsstzjsmxVO ccsstzjsmxVO);

    ResponseWrapper queryDetail(String id);

    Map<String, CcsstzjsmxDO> queryHzForGlOrGxgs(CcsstzjsmxVO ccsstzjsmxVO);

    List<CcsstzjsmxDO> queryMxForQlbOrGxgs(CcsstzjsmxVO ccsstzjsmxVO);

    Map<String, List<CcsstzjsmxDO>> queryMxForSj(CcsstzjsmxVO ccsstzjsmxVO);
}
